# kcf - kubectl fetcher

A small python script to merge a remote kubectl config with a local stored
configuration file. It supports cli flags. The following

```bash
$ ./main.py -h
usage: main.py [-h] --host HOSTNAME [--port PORT] [--username USERNAME] [--password PASSWORD] [--identity-file IDENTITY_FILE] [--identity-passphrase IDENTITY_PASSPHRASE]
               [--remote-config REMOTE_CONFIG] [--remove-cluster-name REMOTE_CLUSTER_NAME] [--remove-user-name REMOTE_USER_NAME] [--local-config LOCAL_CONFIG]
               [--local-cluster-name LOCAL_CLUSTER_NAME] [--local-user-name LOCAL_USER_NAME]

options:
  -h, --help            show this help message and exit
  --host HOSTNAME       SSH-Server
  --port PORT           SSH-Port
  --username USERNAME   Remote Unix User
  --password PASSWORD   Remote password
  --identity-file IDENTITY_FILE
                        Path to private SSH-Key
  --identity-passphrase IDENTITY_PASSPHRASE
                        Passphrase of the SSH-Key
  --remote-config REMOTE_CONFIG
                        Remote kubectl config
  --remove-cluster-name REMOTE_CLUSTER_NAME
                        Name of the cluster
  --remove-user-name REMOTE_USER_NAME
                        Name of the user
  --local-config LOCAL_CONFIG
                        Local kubectl config
  --local-cluster-name LOCAL_CLUSTER_NAME
                        Name of the cluster
  --local-user-name LOCAL_USER_NAME
                        Name of the user
```
